## com.fasterxml.jackson.databind
Class AnnotationIntrospector.Pair

    java.lang.Object
      com.fasterxml.jackson.databind.AnnotationIntrospector
          com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair
              com.fasterxml.jackson.databind.AnnotationIntrospector.Pair

All Implemented Interfaces:
  Versioned, Serializable

Enclosing class:
  AnnotationIntrospector

Deprecated. Starting with 2.1, use `AnnotationIntrospectorPair` instead.

    @Deprecated
    public static class AnnotationIntrospector.Pair

extends AnnotationIntrospectorPair

Old version of `AnnotationIntrospectorPair`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector
`AnnotationIntrospector.Pair, AnnotationIntrospector.ReferenceProperty`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair
`_primary, _secondary`

Constructor Summary
`AnnotationIntrospector.Pair(AnnotationIntrospector p, AnnotationIntrospector s)` Deprecated.

Method Summary

Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotationIntrospectorPair

`allIntrospectors, allIntrospectors, create, findAutoDetectVisibility, findContentDeserializer, findContentSerializer, findDeserializationContentType, findDeserializationKeyType, findDeserializationName, findDeserializationName, findDeserializationName, findDeserializationType, findDeserializer, findEnumValue, findFilterId, findFormat, findIgnoreUnknownProperties, findInjectableValueId, findKeyDeserializer, findKeySerializer, findNameForDeserialization, findNameForSerialization, findNamingStrategy, findObjectIdInfo, findObjectReferenceInfo, findPOJOBuilder, findPOJOBuilderConfig, findPropertiesToIgnore, findPropertyContentTypeResolver, findPropertyTypeResolver, findReferenceType, findRootName, findSerializationContentType, findSerializationInclusion, findSerializationKeyType, findSerializationName, findSerializationName, findSerializationPropertyOrder, findSerializationSortAlphabetically, findSerializationType, findSerializationTyping, findSerializer, findSubtypes, findTypeName, findTypeResolver, findUnwrappingNameTransformer, findValueInstantiator, findViews, findWrapperName, hasAnyGetterAnnotation, hasAnySetterAnnotation, hasAsValueAnnotation, hasCreatorAnnotation, hasIgnoreMarker, hasRequiredMarker, isAnnotationBundle, isHandled, isIgnorableType, isTypeId, version`

Methods inherited from class com.fasterxml.jackson.databind.AnnotationIntrospector
`findFormat, nopInstance, pair`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationIntrospector.Pair

    @Deprecated
    public AnnotationIntrospector.Pair(AnnotationIntrospector p,
                                                  AnnotationIntrospector s)

  Deprecated.

Copyright © 2012 FasterXML. All Rights Reserved.